net.sf.jasperreports.engine.export.ooxml

## Class XlsxStyleHelper

- java.lang.Object
- - net.sf.jasperreports.engine.export.ooxml.BaseHelper
  - - net.sf.jasperreports.engine.export.ooxml.XlsxStyleHelper

-     public class XlsxStyleHelper
      extends BaseHelper

  Version:
    $Id: XlsxStyleHelper.java 6805 2014-01-10 12:42:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper

      `jasperReportsContext, writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XlsxStyleHelper(JasperReportsContext jasperReportsContext, java.io.Writer writer, java.lang.String exporterKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `export()`
    `int` | `getCellStyle(JRExporterGridCell gridCell, java.lang.String pattern, java.util.Locale locale, boolean isWrapText, boolean isHidden, boolean isLocked)`
    `void` | `setConfiguration(XlsReportConfiguration configuration)`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper

      `close, flush, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XlsxStyleHelper

          public XlsxStyleHelper(JasperReportsContext jasperReportsContext,
                         java.io.Writer writer,
                         java.lang.String exporterKey)

  - ### Method Detail

    - #### setConfiguration

          public void setConfiguration(XlsReportConfiguration configuration)

    - #### getCellStyle

          public int getCellStyle(JRExporterGridCell gridCell,
                         java.lang.String pattern,
                         java.util.Locale locale,
                         boolean isWrapText,
                         boolean isHidden,
                         boolean isLocked)

    - #### export

          public void export()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com